
From: Andrew Morton <akpm@osdl.org>

kfree() already checks for NULL.

This driver needs Lindenting.

Cc: Hubert WS Lin <wslin@tw.ibm.com>
Cc: Jay Vosburgh <fubar@us.ibm.com>
Cc: Jeff Garzik <jgarzik@pobox.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/net/pcnet32.c |   24 ++++++++----------------
 1 files changed, 8 insertions(+), 16 deletions(-)

diff -puN drivers/net/pcnet32.c~pcnet32-set_ringparam-implementation-tidy drivers/net/pcnet32.c
--- devel/drivers/net/pcnet32.c~pcnet32-set_ringparam-implementation-tidy	2005-09-08 01:41:14.000000000 -0700
+++ devel-akpm/drivers/net/pcnet32.c	2005-09-08 01:41:14.000000000 -0700
@@ -1495,25 +1495,17 @@ static void pcnet32_free_ring(struct net
 {
     struct pcnet32_private *lp = dev->priv;
 
-    if (lp->tx_skbuff) {
-	kfree(lp->tx_skbuff);
-	lp->tx_skbuff = NULL;
-    }
+    kfree(lp->tx_skbuff);
+    lp->tx_skbuff = NULL;
 
-    if (lp->rx_skbuff) {
-	kfree(lp->rx_skbuff);
-	lp->rx_skbuff = NULL;
-    }
+    kfree(lp->rx_skbuff);
+    lp->rx_skbuff = NULL;
 
-    if (lp->tx_dma_addr) {
-	kfree(lp->tx_dma_addr);
-	lp->tx_dma_addr = NULL;
-    }
+    kfree(lp->tx_dma_addr);
+    lp->tx_dma_addr = NULL;
 
-    if (lp->rx_dma_addr) {
-	kfree(lp->rx_dma_addr);
-	lp->rx_dma_addr = NULL;
-    }
+    kfree(lp->rx_dma_addr);
+    lp->rx_dma_addr = NULL;
 
     if (lp->tx_ring) {
 	pci_free_consistent(lp->pci_dev, sizeof(struct pcnet32_tx_head) * lp->tx_ring_size,
_
